Skip to main content
PATCH
Update a real estate project

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

project_id
string<uuid>
required

Body

Serializer for updating a real estate project.

name
string
Maximum string length: 255
description
string

Project description

Maximum string length: 1200
background_music
string<uuid> | null
background_music_volume
number<double>

Background music volume from 0.0 to 1.0.

Required range: 0 <= x <= 1
speaker_voice
string<uuid> | null

Selected voice speaker for project narration.

is_voiceover_enabled
boolean

Whether this real-estate project uses project-level voiceover.

is_captions_enabled
boolean

Whether this real-estate project renders captions on the video.

video_style

Style of the real estate video.

  • just_listed - Just Listed
  • just_sold - Just Sold
  • coming_soon - Coming Soon
  • for_rent - For Rent
  • price_drop - Price Drop
Available options:
just_listed,
just_sold,
coming_soon,
for_rent,
price_drop
video_format
enum<string>

Video aspect ratio format.

  • 9:16 - 9:16
  • 4:5 - 4:5
  • 1:1 - 1:1
  • 16:9 - 16:9
Available options:
9:16,
4:5,
1:1,
16:9
model_code_name
enum<string>

Public model code used for real-estate video generation.

  • medium - Medium
  • high - High
  • extra_high - Extra high
  • ultra - Ultra
Available options:
medium,
high,
extra_high,
ultra
street_address
string
Maximum string length: 255
suburb
string
Maximum string length: 120
state
string
Maximum string length: 120
country_name
string
Maximum string length: 120
city_name
string
Maximum string length: 120
num_bedrooms
integer | null
Required range: 0 <= x <= 32767
num_bathrooms
integer | null
Required range: 0 <= x <= 32767
num_car_parking_spots
integer | null
Required range: 0 <= x <= 32767
num_floors
integer | null
Required range: 0 <= x <= 32767
price_display
string
Maximum string length: 120
land_size_value
number<double> | null
land_size_unit
  • sqm - Square Meters
  • sqft - Square Feet
  • hectares - Hectares
  • acres - Acres
Available options:
sqm,
sqft,
hectares,
acres
real_estate_type
  • house - House
  • townhome - Townhome
  • apartment - Apartment
  • condo - Condo
  • villa - Villa
  • land - Land
  • commercial - Commercial
  • other - Other
Available options:
house,
townhome,
apartment,
condo,
villa,
land,
commercial,
other
additional_information
string
intro_template_key
string
Maximum string length: 120
outro_template_key
string
Maximum string length: 120
intro_template_overrides
object
outro_template_overrides
object
new_shots_order
string<uuid>[]

The new order of shot IDs in the project.

Response

Serializer for real estate project detail responses.

id
string<uuid>
required
read-only
name
string
required
read-only

Project title

description
string
required
read-only

Project description

created_at
string<date-time>
required
read-only

Datetime when the record was created.

updated_at
string<date-time>
required
read-only

Datetime when the record was last updated.

background_music
object
required

Serializer for AudioAsset with basic fields.

background_music_volume
number<double>
required
read-only

Background music volume from 0.0 to 1.0.

logo_asset
object
required

Serializer for ImageAsset with basic fields.

speaker_voice
object
required

Serializer for SpeakerVoiceSettings (read-only for users).

Users can view and select from available voices. Voice management is restricted to admins via Django admin.

is_voiceover_enabled
boolean
required
read-only

Whether this real-estate project uses project-level voiceover.

is_captions_enabled
boolean
required
read-only

Whether this real-estate project renders captions on the video.

video_style
enum<string> | null
required

Style of the real estate video.

  • just_listed - Just Listed
  • just_sold - Just Sold
  • coming_soon - Coming Soon
  • for_rent - For Rent
  • price_drop - Price Drop
Available options:
just_listed,
just_sold,
coming_soon,
for_rent,
price_drop
video_format
enum<string>
required

Video aspect ratio format.

  • 9:16 - 9:16
  • 4:5 - 4:5
  • 1:1 - 1:1
  • 16:9 - 16:9
Available options:
9:16,
4:5,
1:1,
16:9
model_code_name
enum<string>
required

Public model code used for real-estate video generation.

  • medium - Medium
  • high - High
  • extra_high - Extra high
  • ultra - Ultra
Available options:
medium,
high,
extra_high,
ultra
requested_output_width
integer
required
read-only
requested_output_height
integer
required
read-only
requested_video_aspect_ratio
string
required
read-only

Run requested video aspect ratio and return the result used by the caller.

Run the main steps in order and keep side effects in this scope.

Returns: Result value returned to the caller.

requested_duration_s
number<double>
required
read-only
street_address
string
required
read-only
suburb
string
required
read-only
state
string
required
read-only
country_name
string
required
read-only
city_name
string
required
read-only
num_bedrooms
integer | null
required
read-only
num_bathrooms
integer | null
required
read-only
num_car_parking_spots
integer | null
required
read-only
num_floors
integer | null
required
read-only
price_display
string
required
read-only
land_size_value
number<double> | null
required
read-only
land_size_unit
enum<string>
required
  • sqm - Square Meters
  • sqft - Square Feet
  • hectares - Hectares
  • acres - Acres
Available options:
sqm,
sqft,
hectares,
acres
real_estate_type
enum<string>
required
  • house - House
  • townhome - Townhome
  • apartment - Apartment
  • condo - Condo
  • villa - Villa
  • land - Land
  • commercial - Commercial
  • other - Other
Available options:
house,
townhome,
apartment,
condo,
villa,
land,
commercial,
other
additional_information
string
required
read-only
intro_template_key
string
required
read-only
outro_template_key
string
required
read-only
intro_template_overrides
object
required
read-only

Return intro overrides with declared image UUIDs expanded to assets.

outro_template_overrides
object
required
read-only

Return outro overrides with declared image UUIDs expanded to assets.

shot_count
integer
required
read-only
num_full_rendered_videos
integer
required
read-only
ready_for_generation
boolean
required
read-only

Return the ready for generation value for the current request flow.

Run the main steps in order and keep side effects in this scope.

Args: obj: Input value used by this function.

Returns: Result value returned to the caller.

voiceover
object
required

Serializer for VoiceoverAsset with nested audio and text.